import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AddAdverComponent } from './advertisiment/add-advertisiment/add-adver/add-adver.component';
import { AdvertisimentComponent } from './advertisiment/advertisiment.component';
import { RoleReport2Component } from './roles/role-report2/role-report2.component';
import { UserPermissionComponent } from './users/user-permission/user-permission.component';
import { AddMenuComponent } from './main-menu/add-menu/add-menu.component';
import { MainListComponent } from './main-menu/main-list/main-list.component';
import { AddLectureComponent } from './lectures/add-lecture/add-lecture.component';
import { LecturesListComponent } from './lectures/lectures-list/lectures-list.component';
import { AddInternalServicesComponent } from './internal-services/add-internal-services/add-internal-services.component';
import { InternalServicesComponent } from './internal-services/internal-services.component';
import { FooterListComponent } from './footer/footer-list/footer-list.component';
import { AddNewsComponent } from './news/add-news/add-news.component';
import { NewsListComponent } from './news/news-list/news-list.component';
import { AddTabComponent } from './tabs/add-tab/add-tab.component';
import { TabListComponent } from './tabs/tab-list/tab-list.component';
import { AddAchievementComponent } from './achievements/add-achievement/add-achievement.component';
import { AchievementComponent } from './achievements/achievement-list/achievement.component';
import { AddExternalComponent } from './external-services/add-external/add-external.component';
import { AddEventComponent } from './events/add-event/add-event.component';
import { AddHospitalComponent } from './hospitals/add-hospital/add-hospital.component';
import { HospitalListComponent } from './hospitals/hospital-list/hospital-list.component';
import { AddSectionComponent } from './sections/add-section/add-section.component';
import { AddDepartmentComponent } from './department/add-department/add-department.component';
import { AddRolesComponent } from './roles/add-roles/add-roles.component';
import { AddJoinUsComponent } from './add-join-us/add-join-us.component';
import { DepartmentListComponent } from './department/department-list/department-list.component';
import { UsersComponent } from './users/users.component';
import { ServiceItemComponent } from './service-item/service-item.component';
import { AuthGuardService as AuthGuard } from '../shared/auth-guard.service';
import { RolesListComponent } from './roles/roles-list/roles-list.component';
import { SectionListComponent } from './sections/section-list/section-list.component';
import { ReportsPageComponent } from './reports-page/reports-page.component';
import { FormUserComponent } from './users/form-user/form-user.component';
import { ExternalListComponent } from './external-services/external-list/external-list.component';
import { AddFooterComponent } from './footer/add-footer/add-footer.component';
import { UserReportComponent } from './users/user-report/user-report.component';
import { RoleReportComponent } from './roles/role-report/role-report.component';
import { ReportListComponent } from './report-list/report-list.component';
import { EventsComponent } from './events/events.component';

const dashboardRouting: Routes = [
    {path: '', component: ServiceItemComponent, canActivate: [AuthGuard], children: [
    {path: 'users/:userPageId', component: UsersComponent, canActivate: [AuthGuard]},
    {path: 'roles/:rolesPageId', component: RolesListComponent, canActivate: [AuthGuard]},
    {path: 'departments/:departsPageId', component: DepartmentListComponent, canActivate: [AuthGuard]},
    {path: 'sections/:sectionPageId', component: SectionListComponent, canActivate: [AuthGuard]},
    {path: 'reports', component: ReportsPageComponent, canActivate: [AuthGuard]},
    {path: 'addu/:type_add', component: FormUserComponent, canActivate: [AuthGuard]},
    {path: 'addJoinUs', component: AddJoinUsComponent, canActivate:[AuthGuard]},
    {path: 'joinUs/:typeJoinMode/:editJoinId', component: AddJoinUsComponent, canActivate:[AuthGuard]},
    {path: 'join/:typemode/:userEditId', component: FormUserComponent, canActivate: [AuthGuard]},
    {path: 'user/:typemode/:userEditId', component: FormUserComponent, canActivate: [AuthGuard]},
    {path: 'addRole', component: AddRolesComponent, canActivate: [AuthGuard]},
    {path: 'editRole/:typeRoleMode/:roleEditId', component: AddRolesComponent, canActivate: [AuthGuard]},
    {path: 'addAdminstration', component: AddDepartmentComponent, canActivate: [AuthGuard]},
    {path: 'editAdminstration/:typeAdminMode/:editAdminId', component: AddDepartmentComponent, canActivate: [AuthGuard]},
    {path: 'addSection', component: AddSectionComponent, canActivate: [AuthGuard]},
    {path: 'editSection/:typeSectionMode/:editSectionId', component: AddSectionComponent, canActivate: [AuthGuard]},
    {path: 'hospitalsList/:typePageId', component: HospitalListComponent, canActivate: [AuthGuard]},
    {path: 'mangementList/:typePageId', component: HospitalListComponent, canActivate: [AuthGuard]},
    {path: 'add/:typeAdd' , component: AddHospitalComponent, canActivate: [AuthGuard]},
    {path: 'Hospital/:typeHospitalMode/:editTypePageId', component: AddHospitalComponent, canActivate: [AuthGuard]},
    {path: 'Management/:typeHospitalMode/:editTypePageId', component: AddHospitalComponent, canActivate: [AuthGuard]},
    {path: 'eventsList/:eventPageId', component: EventsComponent, canActivate: [AuthGuard]},
    {path: 'addEvent', component: AddEventComponent, canActivate: [AuthGuard]},
    {path: 'Event/:typeEventMode/:editEventId', component: AddEventComponent, canActivate:[AuthGuard]},
    {path: 'externalsList/:externalPageId', component: ExternalListComponent, canActivate: [AuthGuard]},
    {path: 'addExternal', component: AddExternalComponent, canActivate: [AuthGuard]},
    {path: 'externalService/:typeExternalMode/:editExternalId', component: AddExternalComponent, canActivate: [AuthGuard]},
    {path: 'achievementsList/:achievementPageId', component: AchievementComponent, canActivate: [AuthGuard]},
    {path: 'addAchievement', component: AddAchievementComponent, canActivate: [AuthGuard]},
    {path: 'achievement/:typeAchieventMode/:editAchievementId', component: AddAchievementComponent, canActivate: [AuthGuard]},
    {path: 'joinUs/:userPageId', component: UsersComponent, canActivate: [AuthGuard]},
    {path: 'tabs/:tabPageId', component: TabListComponent, canActivate: [AuthGuard]},
    {path: 'addTab', component: AddTabComponent, canActivate: [AuthGuard]},
    {path: 'tab/:typeTabMode/:editTabId', component: AddTabComponent, canActivate: [AuthGuard]},
    {path: 'newsList/:newsPageId', component: NewsListComponent, canActivate: [AuthGuard]},
    {path: 'addNews', component: AddNewsComponent, canActivate: [AuthGuard]},
    {path: 'new/:typeNewMode/:editNewId', component: AddNewsComponent, canActivate: [AuthGuard]},
    {path: 'footerList/:footerPageId', component: FooterListComponent, canActivate: [AuthGuard]},
    {path: 'addFooter', component: AddFooterComponent, canActivate: [AuthGuard]},
    {path: 'footer/:typeFooterMode/:editFooterId', component: AddFooterComponent, canActivate: [AuthGuard]},
    {path: 'internalServicesList/:internalPageId', component: InternalServicesComponent, canActivate: [AuthGuard]},
    {path: 'addInternalServices', component: AddInternalServicesComponent, canActivate: [AuthGuard]},
    {path: 'InternalServices/:typeInternalMode/:editInternalId', component: AddInternalServicesComponent, canActivate: [AuthGuard]},
    {path: 'lecturesList/:lecturePageId', component: LecturesListComponent, canActivate:[AuthGuard]},
    {path: 'addLecture', component: AddLectureComponent, canActivate: [AuthGuard]},
    {path: 'Lecture/:typeLectureMode/:editLectureId', component: AddLectureComponent, canActivate: [AuthGuard]},
    {path: 'mainMenuList/:menuPageId', component: MainListComponent, canActivate:[AuthGuard]},
    {path: 'addMenu', component: AddMenuComponent, canActivate: [AuthGuard]},
    {path: 'menu/:typeMenuMode/:editMenuId', component: AddMenuComponent, canActivate: [AuthGuard]},
    {path: 'userPermission/:userPermissionId', component: UserPermissionComponent, canActivate: [AuthGuard]},
    {path: 'userreport/:reportUserId', component: UserReportComponent, canActivate: [AuthGuard]},
    {path: 'roleReport/:roleReportId', component: RoleReportComponent, canActivate: [AuthGuard]},
    {path: 'userInRoleReport/:userRoleReportId', component: RoleReport2Component, canActivate: [AuthGuard]},
    {path: 'reportList/:reportName', component: ReportListComponent},
    {path: 'advertisimentList/:adverId', component: AdvertisimentComponent},
    {path: 'advertisiment/:typeAdver', component: AddAdverComponent},
  ]},
];

@NgModule({
    imports: [
        RouterModule.forChild(dashboardRouting),
    ],
    //exports: [internalPageRoutes]
    exports: [
        RouterModule
      ]
})

export class DashBoardRouting {

}